// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/me"
)

/******************************************************************************
 *
 * @Description              : BomLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-09 14:13:50
 *
 ******************************************************************************/
var BomLst_PlantNr = grmi.NewField("PlantNr", "ME_BomLst.PlantNr", "plantnr", grmi.TypeInt)
var BomLst_BomId = grmi.NewField("BomId", "ME_BomLst.BomId", "bomid", grmi.TypeString)
var BomLst_FmatNr = grmi.NewField("FmatNr", "ME_BomLst.FmatNr", "fmatnr", grmi.TypeString)
var BomLst_CmatNr = grmi.NewField("CmatNr", "ME_BomLst.CmatNr", "cmatnr", grmi.TypeString)
var BomLst_FmatName = grmi.NewField("FmatName", "ME_BomLst.FmatName", "fmatname", grmi.TypeString)
var BomLst_FmatSpec = grmi.NewField("FmatSpec", "ME_BomLst.FmatSpec", "fmatspec", grmi.TypeString)
var BomLst_FmatQty = grmi.NewField("FmatQty", "ME_BomLst.FmatQty", "fmatqty", grmi.TypeFloat64)
var BomLst_FmatUom = grmi.NewField("FmatUom", "ME_BomLst.FmatUom", "fmatuom", grmi.TypeString)
var BomLst_CmatName = grmi.NewField("CmatName", "ME_BomLst.CmatName", "cmatname", grmi.TypeString)
var BomLst_CmatQty = grmi.NewField("CmatQty", "ME_BomLst.CmatQty", "cmatqty", grmi.TypeFloat64)
var BomLst_CmatUom = grmi.NewField("CmatUom", "ME_BomLst.CmatUom", "cmatuom", grmi.TypeString)
var BomLst_CmatType = grmi.NewField("CmatType", "ME_BomLst.CmatType", "cmattype", grmi.TypeString)
var BomLst_Position = grmi.NewField("Position", "ME_BomLst.Position", "position", grmi.TypeInt)
var BomLst_LeadTime = grmi.NewField("LeadTime", "ME_BomLst.LeadTime", "leadtime", grmi.TypeFloat64)
var BomLst_TimeUom = grmi.NewField("TimeUom", "ME_BomLst.TimeUom", "timeuom", grmi.TypeString)
var BomLst_LossRate = grmi.NewField("LossRate", "ME_BomLst.LossRate", "lossrate", grmi.TypeFloat64)
var BomLst_BackFlushItem = grmi.NewField("BackFlushItem", "ME_BomLst.BackFlushItem", "backflushitem", grmi.TypeInt)
var BomLst_CriticalItem = grmi.NewField("CriticalItem", "ME_BomLst.CriticalItem", "criticalitem", grmi.TypeInt)
var BomLst_ValidFrom = grmi.NewField("ValidFrom", "ME_BomLst.ValidFrom", "validfrom", grmi.TypeString)
var BomLst_ValidTo = grmi.NewField("ValidTo", "ME_BomLst.ValidTo", "ValidTo", grmi.TypeString)
var BomLst_BomlstCval1 = grmi.NewField("BomlstCval1", "ME_BomLst.BomlstCval1", "bomlstcval1", grmi.TypeString)
var BomLst_BomlstCval2 = grmi.NewField("BomlstCval2", "ME_BomLst.BomlstCval2", "bomlstcval2", grmi.TypeString)
var BomLst_BomlstIval1 = grmi.NewField("BomlstIval1", "ME_BomLst.BomlstIval1", "bomlstival1", grmi.TypeInt)
var BomLst_BomlstIval2 = grmi.NewField("BomlstIval2", "ME_BomLst.BomlstIval2", "bomlstival2", grmi.TypeInt)
var BomLst_LevelNr = grmi.NewField("LevelNr", "ME_BomLst.LevelNr", "levelnr", grmi.TypeInt)
var BomLst_LastModify = grmi.NewField("LastModify", "ME_BomLst.LastModify", "lastmodify", grmi.TypeDateTime)
var BomLst_LastUser = grmi.NewField("LastUser", "ME_BomLst.LastUser", "lastuser", grmi.TypeString)
var BomLst_CreateTime = grmi.NewField("CreateTime", "ME_BomLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : BomLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-09 14:13:50
 *
 ******************************************************************************/
var BomLst = grmi.NewEntity(
	"ME_BomLst",
	func() interface{} { return &model.BomLst{} },
	map[string]grmi.Field{
		BomLst_PlantNr.Name:       BomLst_PlantNr,
		BomLst_BomId.Name:         BomLst_BomId,
		BomLst_FmatNr.Name:        BomLst_FmatNr,
		BomLst_CmatNr.Name:        BomLst_CmatNr,
		BomLst_FmatName.Name:      BomLst_FmatName,
		BomLst_FmatSpec.Name:      BomLst_FmatSpec,
		BomLst_FmatQty.Name:       BomLst_FmatQty,
		BomLst_FmatUom.Name:       BomLst_FmatUom,
		BomLst_CmatName.Name:      BomLst_CmatName,
		BomLst_CmatQty.Name:       BomLst_CmatQty,
		BomLst_CmatUom.Name:       BomLst_CmatUom,
		BomLst_CmatType.Name:      BomLst_CmatType,
		BomLst_Position.Name:      BomLst_Position,
		BomLst_LeadTime.Name:      BomLst_LeadTime,
		BomLst_TimeUom.Name:       BomLst_TimeUom,
		BomLst_LossRate.Name:      BomLst_LossRate,
		BomLst_BackFlushItem.Name: BomLst_BackFlushItem,
		BomLst_CriticalItem.Name:  BomLst_CriticalItem,
		BomLst_ValidFrom.Name:     BomLst_ValidFrom,
		BomLst_ValidTo.Name:       BomLst_ValidTo,
		BomLst_BomlstCval1.Name:   BomLst_BomlstCval1,
		BomLst_BomlstCval2.Name:   BomLst_BomlstCval2,
		BomLst_BomlstIval1.Name:   BomLst_BomlstIval1,
		BomLst_BomlstIval2.Name:   BomLst_BomlstIval2,
		BomLst_LevelNr.Name:       BomLst_LevelNr,
		BomLst_LastModify.Name:    BomLst_LastModify,
		BomLst_LastUser.Name:      BomLst_LastUser,
		BomLst_CreateTime.Name:    BomLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"FmatName", "FmatSpec", "FmatQty", "FmatUom", "CmatName", "CmatQty", "CmatUom", "CmatType", "Position", "LeadTime", "TimeUom", "LossRate", "BackFlushItem", "CriticalItem", "ValidFrom", "ValidTo", "BomlstCval1", "BomlstCval2", "BomlstIval1", "BomlstIval2", "LevelNr", "LastUser"})
